/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <string>
#include "epgEventContents.h"

EpgEventInformationTable::EpgEventInformationTable()
{
    serviceId=-1;
    sectionNr=-1;
    lastSectionNr=-1;
    eventId=-1;
    startDate=-1;
    startTime=-1;
    duration=-1;
    freeCaMode=-1;
}

EpgEventInformationDescriptor::EpgEventInformationDescriptor()
{
    eventName[0]=0;
    eventText[0]=0;
    eventExtendetText[0]=0;

    contentNibble1=-1;
    contentNibble2=-1;

    streamContent=-1;
    componentType=-1;
    componentTag=-1;
    streamLCode=-1;
    streamDescription[0]=0;

    age=-1;
    ageLCode=-1;
}
