/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#ifndef _DVB_EPG_EVENT_CONTENTS_H_
#define _DVB_EPG_EVENT_CONTENTS_H_

#define MAXLOOP 50

class EpgEventInformationTable
{
    public:
    int serviceId;
    int sectionNr;
    int lastSectionNr;
    int eventId;
    int startDate;
    int startTime;
    int duration;
    int freeCaMode;

    EpgEventInformationTable();
};

class EpgEventInformationDescriptor
{
    public:
    int eventName[64];
    int eventText[64];
    int eventExtendetText[64];

    int contentNibble1;
    int contentNibble2;

    int streamContent;
    int componentType;
    int componentTag;
    int streamLCode;
    int streamDescription[64];

    int ageLCode;
    int age;

    EpgEventInformationDescriptor();
};

class EpgEventContents
{
    public:
    EpgEventInformationTable eit;
    EpgEventInformationDescriptor eid[MAXLOOP];
};

#endif
