<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
    <xsl:for-each select="EPGXMLDUMP">
    <HTML>
	<HEAD>
	    <TITLE>
		EPG-Schedule
	    </TITLE>
	</HEAD>
	<BODY>
	    <xsl:for-each select="DAY">
		<TABLE border="1" cellspacing="0" cellpadding="0" summary="">
		    <TD>
			<TABLE border="0" cellspacing="1" cellpadding="0" summary="">
			    <CENTER>
				<B>
				    <xsl:value-of select="@date"/>
				</B>
			    </CENTER>
			    <TABLE border="0" cellspacing="1" cellpadding="0" summary="">
				<xsl:for-each select="PROGRAM">
				    <TD valign="top">
					<TABLE border="1" cellspacing="0" cellpadding="0" summary="">
					    <CENTER>
						<B>
						    <xsl:value-of select="@serviceId"/>
						</B>
					    </CENTER>
					    <xsl:for-each select="TIME">
						<TR>	    
						    <TD align="left" valign="top">
							<xsl:value-of select="@startTime"/>
						    </TD>
						    <TD align="left">
							<xsl:for-each select="DESCRIPTION">
							    <xsl:value-of select="@name"/>
							</xsl:for-each>
						    </TD>
						</TR>
					    </xsl:for-each>
					</TABLE>
				    </TD>
				</xsl:for-each>
			    </TABLE>
			</TABLE>
		    </TD>
		</TABLE>
	    </xsl:for-each>
	</BODY>
    </HTML>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
