/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#ifndef _PACKET_COUNTER_H_
#define _PACKET_COUNTER_H_

#include <vector>
#include <map>

using namespace std;

class PacketCounter
{
    vector<int> *count;
    int max;
    
    public:
    PacketCounter(int);
    void insert(int);
    int ready();
};

class MultiPacketCounter
{
    map<int,PacketCounter * > multiPacketCounter;

    public:
    void insert(int,int,int);
    int ready();
};

#endif
