/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#ifndef _DVB_SI_STREAM_H_
#define _DVB_SI_STREAM_H_

extern "C" {
#include <dvbsi.h>
#include <sys/poll.h>
};

class DvbSiStream
{
    int fd;
    int pid;
    int tid;
    int count;
    unsigned char buffer[4096];
    struct pollfd ufds;
    
    int openDmxDev();
    int setFilter();

    public:
    DvbSiStream(int, int);
    int getData(LIST *);
};

#endif
