/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#ifndef _EPG_XML_H_
#define _EPG_XML_H_

#include <fstream>
#include <string>
#include <list>

using namespace std;

class Xml
{
    fstream io;
    int level;
    list<string> tagList;

    void quote(int);
    void quote(string);

    public:
    Xml(const char *);
    ~Xml();
    void startDocument();
    void endDocument();
    void startElement(string);
    void startElementEnd();
    void endElement();
    void appendAttripute(string,int);
    void appendAttripute(string,string);
};

#endif
