/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <string>
#include <iostream>
#include "eventLanguageCode.h"

EventLanguageCode::EventLanguageCode(int _lCode)
{
    if(_lCode!=-1) {
	lCode=_lCode;
    }
}

void
EventLanguageCode::dump()
{
    cout << "lCode: " << static_cast<string>(reinterpret_cast<char*>(&lCode)) << endl;
}

void
EventLanguageCode::dumpXml(Xml& _xmlFile)
{
    _xmlFile.startElement("LANGUAGECODE");
    _xmlFile.appendAttripute("lCode",static_cast<string>(reinterpret_cast<char*>(&lCode)));
    _xmlFile.startElementEnd();
    _xmlFile.endElement();
}
